V0.29 - wieder inkompatibele DB

    • Randy71
      Randy71
      Bronze
      Dabei seit: 02.06.2006 Beiträge: 127
      Sorry, aber das solltet ihr auch endlich mal hinbekommen, das die DB's übernommen werden können.
      Beim Erstellen einer neuen DB ensteht immer ein "anonymer" Fehler X(
      Aber immerhin: beim 7. Anlauf hat es geklappt.
      Dennoch sollte die Benutzung der alten DB doch funktionieren, oder?
      Bei der 0.28 klappte das einwandfrei.

      Jetzt müßte nur noch Titan wieder gehen, damit man diese Version auch testen kann :D

      Gruß

      Randy71
  • 4 Antworten
    • Vorlop
      Vorlop
      Bronze
      Dabei seit: 05.10.2007 Beiträge: 566
      Wenn nunmal was an der Strucktur der DB geändert wurde, dann gehts halt nicht mehr und die Zeit die es dauern würde code zu schreiben der eine DB von Version x in eine für Version y umwandelt ist besser in der Weiterentwicklung aufgehoben oder?
    • Randy71
      Randy71
      Bronze
      Dabei seit: 02.06.2006 Beiträge: 127
      Jups, die Datenbank ist sicher überarbeitet worden, nur war ich nicht davon ausgegangen, das die 28er und 29er sich da unterscheiden.
      Die unterscheidungen wähnte ich eher in der Plattformkompatibilität.
    • Adurant
      Adurant
      Bronze
      Dabei seit: 17.12.2007 Beiträge: 213
      Bei mir hat er auch erstmal geschimpft, dass "elephantdb" nicht kompatibel ist, ein neuer Name geht aber. Wenn ich die DB lösche und "elephantdb" neu anlegen will kommt der Fehler allerdings wieder.

      Ebenfalls gehen keine DB-Namen, die mit einer Zahl beginnen.

      v29, Vista
    • Randy71
      Randy71
      Bronze
      Dabei seit: 02.06.2006 Beiträge: 127
      Mitten im Spiel hat sich jedenfalls das Hauptprogramm irgendwie ausgeklinkt.
      Es werden keine Hände mehr übernommen, und importierte nicht mehr angezeigt :(